Page MenuHomePhabricator

Compact language links broken in https://es.wikipedia.org/wiki/Luna
Closed, ResolvedPublic

Description

Compact language links breaks with JavaScript error in https://es.wikipedia.org/wiki/Luna

This is similar to nds-NL issue fixed earlier T143527: nds-nl is not consistently lowercased in compact language links, but this time failure to normalize for language code redirects consistently.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 306630 had a related patch set uploaded (by Nikerabbit):
ext.uls.compactlinks: consistently normalize language codes

https://gerrit.wikimedia.org/r/306630

Nikerabbit triaged this task as Unbreak Now! priority.Aug 25 2016, 8:22 AM
Nikerabbit moved this task from Backlog to In Review on the Language-Q1-2016-17 Sprint 4 board.
Restricted Application added subscribers: Luke081515, TerraCodes. · View Herald TranscriptAug 25 2016, 8:22 AM
Nikerabbit updated the task description. (Show Details)Aug 25 2016, 8:23 AM

Change 306630 merged by jenkins-bot:
ext.uls.compactlinks: consistently normalize language codes

https://gerrit.wikimedia.org/r/306630

Change 306654 had a related patch set uploaded (by KartikMistry):
ext.uls.compactlinks: consistently normalize language codes

https://gerrit.wikimedia.org/r/306654

To those who don't see an error currently: probably you're lucky enough to only have "good" languages in the compact list, like me.

Change 306654 merged by jenkins-bot:
ext.uls.compactlinks: consistently normalize language codes

https://gerrit.wikimedia.org/r/306654

Change 306662 had a related patch set uploaded (by Hashar):
ext.uls.compactlinks: consistently normalize language codes

https://gerrit.wikimedia.org/r/306662

Change 306662 merged by jenkins-bot:
ext.uls.compactlinks: consistently normalize language codes

https://gerrit.wikimedia.org/r/306662

Mentioned in SAL [2016-08-25T13:42:55Z] <zfilipin@tin> Synchronized php-1.28.0-wmf.15/extensions/UniversalLanguageSelector: SWAT: [[gerrit:306654|ext.uls.compactlinks: consistently normalize language codes (T143867)]] (duration: 00m 49s)

Mentioned in SAL [2016-08-25T13:44:02Z] <zfilipin@tin> Synchronized php-1.28.0-wmf.16/extensions/UniversalLanguageSelector: SWAT: [[gerrit:306654|ext.uls.compactlinks: consistently normalize language codes (T143867)]] (duration: 00m 47s)

Restricted Application added a subscriber: Jay8g. · View Herald TranscriptAug 29 2016, 12:41 PM
greg added a subscriber: greg.Aug 29 2016, 6:25 PM

The patches were swatted, is this now resolved?

Nikerabbit removed a project: Patch-For-Review.
Arrbee closed this task as Resolved.Aug 30 2016, 7:16 AM
Amire80 moved this task from Backlog to Other on the ULS-CompactLinks board.Nov 3 2017, 8:24 AM